> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# アカウントプロフィールの取得

> 認証済みユーザーのプロフィールを取得するエンドポイントです。

## GET /accounts/profile

認証済みユーザーのアカウント情報（プロフィールおよび契約プランを含む）の詳細を返します。

### レスポンス

<ResponseField name="id" type="string">
  ユーザーの一意な識別子。
</ResponseField>

<ResponseField name="email" type="string">
  ユーザーのメールアドレス。
</ResponseField>

<ResponseField name="firstName" type="string">
  ユーザーの名。
</ResponseField>

<ResponseField name="lastName" type="string">
  ユーザーの姓。
</ResponseField>

<ResponseField name="company" type="string">
  ユーザーの会社名。
</ResponseField>

<ResponseField name="plan" type="string">
  ユーザーの契約プラン（`free`、`starter`、`professional`、`enterprise`）。
</ResponseField>

<ResponseField name="createdAt" type="string">
  アカウント作成日時の ISO 8601 タイムスタンプ。
</ResponseField>

<ResponseField name="updatedAt" type="string">
  プロフィール最終更新日時の ISO 8601 タイムスタンプ。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.llmgenerator.com/api/v1/accounts/profile \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.llmgenerator.com/api/v1/accounts/profile',
    {
      headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
    }
  );

  const profile = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 成功 (200) theme={null}
  {
    "id": "user_abc123def456",
    "email": "user@example.com",
    "firstName": "Jane",
    "lastName": "Doe",
    "company": "Acme Inc",
    "plan": "professional",
    "createdAt": "2026-01-01T10:00:00.000Z",
    "updatedAt": "2026-01-15T14:30:00.000Z"
  }
  ```

  ```json 未認証 (401) theme={null}
  {
    "message": "API key context not found"
  }
  ```
</ResponseExample>
